# -*- encoding: utf-8 -*-
"""
Created on 03.10.2011

@author: christian
"""
from django.urls import path

from .views import ArticleArchiveIndex, ArticleForm, ArticleYearArchive, \
    ArticleMonthArchive, ArticleDetail

urlpatterns = [
    path("", ArticleArchiveIndex.as_view(), name='article-archive'),
    path('add/', ArticleForm.as_view(), name='add-article'),
    path('edit/<int:pk>/', ArticleForm.as_view(), name='edit-article'),
    path('<int:year>/', ArticleYearArchive.as_view(), name='article-archive'),
    path('<int:year>/<int:month>/', ArticleMonthArchive.as_view(), name='article-archive'),
    path('<int:year>/<int:month>/<slug:slug>/', ArticleDetail.as_view(), name='show-article'),
    path('<slug:category>/', ArticleArchiveIndex.as_view(), name='article-archive'),
    path('<slug:category>/<int:year>/', ArticleYearArchive.as_view(), name='article-archive'),
    path('<slug:category>/<int:year>/<int:month>/', ArticleMonthArchive.as_view(), name='article-archive'),
]
